{% extends 'base.html.twig' %}

{% block title %}{{ parent() }}Nos cours{% endblock %}

{% block body %}
    <!-- Banner -->
    <div class="banner">
    </div>
    <!-- End Banner -->

    <main class="container">
        <!-- Categories -->
        <section id="courses">
            <h2 class="my-5">Toutes nos catégories</h2>
            <div class="row">
                <!-- FILTERIZER CONTROLS -->
                <div class="col-md-12 controls-filter">
                    <ul>
                        <!-- For filtering controls add -->
                        <li data-filter="all" class="btn btn-outline-secondary"> All items </li>
                        {% for cat in categories  %}
                            
                            <li data-filter="{{ cat.id}}" class="btn btn-outline-secondary"> {{ cat.name }} </li>

                        {% endfor %}
                    </ul>
                </div>
                <!-- FILTERIZER COURSES -->
                <div class="col-md-12 filter-container">
                    <!-- Card -->
                    {% for course in courses %}
                    {% if course.isPublished == true %}
                        
                    <div class="col-md-4 filtr-item" data-category="{{ course.category.id }}" data-sort="value">
                        <div class="card" style="min-height: 550px !important;">
                            <div class="card-header">
                                {{ course.name }}
                            </div>
                            <div class="card-body">
                                    <img alt="" src="{{ asset('img/section/') ~ course.image }}">
                                <p class="card-text">
                                <p>{{ course.smallDescription }}</p></p>
                                <a class="btn btn-primary" href="{{ path ('onepost', {id:course.id, slug:course.slug}) }}">Voir cette section...</a>
                            </div>
                        </div>
                    </div>
                    {% endif %}
                    {% endfor %}
                <!-- End cards -->
                </div>
            </div>
        </section>
        <!-- End Categories -->
    </main>
{% endblock %}
{% block javascripts %}
<script>
var filterizd = $('.filter-container').filterizr({
    // options here
});
</script>
{% endblock %}
